use bevy::{prelude::*, window::PresentMode, render::camera::CameraProjectionPlugin};
use offaxis::{offaxis_camera_setup, OffAxisProjection};


#[derive(Component)]
struct Viewer;

#[derive(Component)]
pub struct Viewer {
    position: Vec3,
    orientation: Quat,
}


impl Viewer {

    fn default() -> Self {
        Self {
            position: Vec3::ZERO,
        }
    }
}