
# PixSpace

A model viewer using projective Virtual Reality (VR)

It deals with:

- getting tracking data from a VRPN server
- render a composited view allowing for non-linear distortions
- loading 3D files 
- providing a simple way to extend the system with interactions 

Ideas are derived from a software written several years ago called VisionSpace.

# TODO

* [ ] build a system that updates a cameras frustum (w/ offaxis)
* [ ] multiple cameras
* [ ] custom projection matrices (https://bevy-cheatbook.github.io/cookbook/custom-projection.html)
* [ ] render to texture
* [ ] VRPN (https://github.com/seichter/vrpn-rs) - sync_client.rs seems to do what we need - issue it is Rust 2018


# Suggestions

@bevy@mastodon.social suggested the following three examples

https://github.com/bevyengine/bevy/blob/main/examples/3d/two_passes.rs
https://github.com/bevyengine/bevy/blob/main/examples/3d/split_screen.rs
https://github.com/bevyengine/bevy/blob/main/examples/3d/render_to_texture.rs